%define repo fuduntu

Name:           buildsys-build-%{repo}
Epoch:          10
Version:        2012
Release:        28
Summary:        Tools and files used by the %{repo} buildsys 

Group:          Development/Tools
License:        MIT
URL:            http://fuduntu.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source2:        %{name}-list-kernels.sh
Source5:        %{name}-README
Source11:       %{name}-kerneldevpkgs-current

# provide this to avoid a error when generating akmods packages
Provides:       buildsys-build-fuduntu-kerneldevpkgs-akmod-%{_target_cpu}

# unneeded
%define debug_package %{nil}

%description
This package contains tools and lists of recent kernels that get used when
building kmod-packages.

%package        kerneldevpkgs-current
Summary:        Meta-package to get all current kernel-devel packages into the buildroot
Group:          Development/Tools
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-current-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-newest-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}

Requires:       %{_bindir}/kmodtool
BuildRequires:  %{_bindir}/kmodtool

# we use our own magic here to safe ourself to cut'n'paste the BR
%{expand:%(bash %{SOURCE2} --current --requires --prefix %{_sourcedir}/%{name}- 2>/dev/null)}

%description kerneldevpkgs-current
This is a meta-package used by the buildsystem to track the kernel-devel
packages for all current up-to-date kernels into the buildroot to build
kmods against them.

%files kerneldevpkgs-current
%defattr(-,root,root,-)
%doc .tmp/current/README

%prep
# for debugging purposes output the stuff we use during the rpm generation
bash %{SOURCE2} --current --requires --prefix %{_sourcedir}/%{name}-
sleep 2


%build
echo nothing to build


%install
rm -rf $RPM_BUILD_ROOT .tmp/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name} $RPM_BUILD_ROOT/%{_bindir} .tmp/newest .tmp/current

# install the stuff we need
install -p -m 0755 %{SOURCE2}  $RPM_BUILD_ROOT/%{_bindir}/%{name}-kerneldevpkgs
install -p -m 0644 %{SOURCE5}  .tmp/current/README
ln -s kerneldevpkgs-current $RPM_BUILD_ROOT/%{_datadir}/%{name}/kerneldevpkgs-newest
install -p -m 0644 %{SOURCE11} $RPM_BUILD_ROOT/%{_datadir}/%{name}/kerneldevpkgs-current


# adjust default-path
sed -i 's|^default_prefix=.*|default_prefix=%{_datadir}/%{name}/|'  \
 $RPM_BUILD_ROOT/%{_bindir}/%{name}-kerneldevpkgs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/%{name}/



%changelog
* Mon Nov 19 2012 Andrew Wyatt <andrew@fuduntu.org>
- Update for kernel 3.4.19-1

* Sun Nov 04 2012 Andrew Wyatt <andrew@fuduntu.org>
- Update for kernel 3.4.17-1

* Wed Oct 24 2012 Andrew Wyatt <andrew@fuduntu.org>
- Update for kernel 3.4.15-1

* Sat Sep 29 2012 Andrew Wyatt <andrew@fuduntu.org>
- Update for kernel 3.4.11-1

* Wed Sep 12 2012 Nick Bryda <nick@fuduntu.org>
- Update for kernel 3.4.10-1

* Mon Aug 27 2012 Nick Bryda <nick@fuduntu.org>
- Rebuild for broken kmods

* Sun Aug 26 2012 Nick Bryda <nick@fuduntu.org>
- Update for kernel 3.4.9-1

* Sun Aug 12 2012 Andrew Wyatt <andrew@fuduntu.org>
- Update for kernel 3.4.8-1

* Sun Aug 05 2012 Andrew Wyatt <andrew@fuduntu.org>
- Update for kernel 3.4.7-1

* Sat Jul 21 2012 Andrew Wyatt <andrew@fuduntu.org>
- Update for kernel 3.4.6-1

* Sat Jun 23 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-17
- Update for kernel 3.4.4-1

* Mon Jun 18 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-16
- Update for kernel 3.4.3-1

* Sun Jun 10 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-15
- Update for kernel 3.4.2-1

* Thu Jun 07 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-14
- Update for kernel 3.2.18-2

* Mon Jun 04 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-13
- Update for kernel 3.2.18

* Sat May 12 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-12
- Update for kernel 3.2.17

* Fri Apr 20 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-11
- Update for kernel 3.2.15

* Tue Apr 10 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-10
- Update for kernel 3.2.14

* Sat Mar 24 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-9
- Built for Fuduntu

* Tue Mar 13 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-8
- Built for Fuduntu

* Thu Mar 01 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-7
- Built for Fuduntu

* Tue Feb 12 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-6
- Built for Fuduntu

* Sun Feb 12 2012 Andrew Wyatt <andrew@fuduntu.org> - 10:2012-5
- Built for Fuduntu

